## org.eclipse.emf.compare.diff.metamodel
Interface UpdateModelElement

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, ModelElementChange, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  MoveModelElement, UpdateContainmentFeature

All Known Implementing Classes:
  MoveModelElementImpl, UpdateContainmentFeatureImpl, UpdateModelElementImpl

    public interface UpdateModelElement

extends ModelElementChange

A representation of the model object 'Update Model Element'. Superclass of DiffElements used to describe "move" types of differences. This includes both Moving from a container to another and changing the containment reference of an element. These changes imply both an addition and a removal.

The following features are supported:

- `Right Element`
- `Left Element`

See Also:
  `DiffPackage.getUpdateModelElement()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getLeftElement()` Returns the value of the 'Left Element' reference
`org.eclipse.emf.ecore.EObject` `getRightElement()` Returns the value of the 'Right Element' reference
`void` `setLeftElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Left Element`' reference
`void` `setRightElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Element`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftElement

    org.eclipse.emf.ecore.EObject getLeftElement()

  Returns the value of the 'Left Element' reference.

  If the meaning of the 'Left Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Element' reference.
  See Also:
    `setLeftElement(EObject)`, `DiffPackage.getUpdateModelElement_LeftElement()`

### getRightElement

    org.eclipse.emf.ecore.EObject getRightElement()

  Returns the value of the 'Right Element' reference.

  If the meaning of the 'Right Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Element' reference.
  See Also:
    `setRightElement(EObject)`, `DiffPackage.getUpdateModelElement_RightElement()`

### setLeftElement

    void setLeftElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Left Element`' reference.

  Parameters:
    `value` - the new value of the 'Left Element' reference.
  See Also:
    `getLeftElement()`

### setRightElement

    void setRightElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Element`' reference.

  Parameters:
    `value` - the new value of the 'Right Element' reference.
  See Also:
    `getRightElement()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.